Subject: Re: [bug#68577] [PATCH 2/2] gnu: Add mullvad-browser.

From: Clément Lassieur <[email-masked]>
Date: Mon, 22 Jan 2024 12:41:14 +0100

On Mon, Jan 22 2024, Mark H Weaver wrote:

> Earlier, I wrote:
>> Guix packages should, wherever feasible, avoid using components from
>> pre-built binary distributions.  Each required font family should be
>> added as a separate Guix package following our conventions for font
>> packages.  As for the configuration files: how about distributing them
>> separately, or as part of the Mullvad source distribution?
>
> These comments apply to 'torbrowser-assets' as well, which I only just
> found out about.

As said in the other email, the way Icecat is handling fonts is very bad
for fingerprinting, and I believe we should either do it the Tor Browser
way or remove the part about Fingerprinting countermeasures there:
https://www.gnu.org/software/gnuzilla/.